> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get revenue recognition slice

> Retrieve a tenant-scoped revenue-recognition slice.



## OpenAPI

````yaml get /v1/accounting/revrec/slices/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/accounting/revrec/slices/{id}:
    get:
      tags:
        - Accounting > Revenue recognition
      summary: Get revenue recognition slice
      description: Retrieve a tenant-scoped revenue-recognition slice.
      operationId: getRevRecSlice
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountingRevRecSlice'
      security:
        - bearer: []
components:
  schemas:
    AccountingRevRecSlice:
      type: object
      properties:
        id:
          type: string
          description: Unique recognition-slice identifier.
        schedule_id:
          type: string
          description: Parent recognition-schedule identifier.
        kind:
          type: string
          enum:
            - planned
            - actual
          description: Recognition-slice kind.
        status:
          type: string
          enum:
            - pending
            - recognized
            - cancelled
            - reversed
          description: Recognition-slice status.
        period_starts_at:
          type:
            - string
            - 'null'
          format: date
          description: Inclusive service-period start timestamp.
        period_ends_at:
          type:
            - string
            - 'null'
          format: date
          description: Inclusive service-period end timestamp.
        recognition_planned_at:
          type:
            - string
            - 'null'
          format: date
          description: Timestamp when recognition is planned.
        sequence:
          type: number
          description: Ordering sequence within the schedule.
        amount:
          type: string
          description: Amount in ledger currency.
        discount_amount:
          type: string
          description: Discount amount in ledger currency.
        original_currency:
          type: string
          description: ISO 4217 original currency.
        original_currency_exchange_rate:
          type: string
          description: Exchange rate into ledger currency.
        original_currency_exchange_rate_date:
          type:
            - string
            - 'null'
          format: date
          description: Date of the exchange rate.
        amount_in_original_currency:
          type: string
          description: Amount in the original currency.
        discount_amount_in_original_currency:
          type: string
          description: Discount amount in the original currency.
        recognized_at:
          type:
            - string
            - 'null'
          format: date
          description: Timestamp when the slice was recognized.
        journal_entry_id:
          type:
            - string
            - 'null'
          description: Recognition journal-entry identifier.
        reversing_journal_entry_id:
          type:
            - string
            - 'null'
          description: Reversing journal-entry identifier.
        usage_event_id:
          type:
            - string
            - 'null'
          description: Related usage-event identifier.
        milestone_event_id:
          type:
            - string
            - 'null'
          description: Related milestone-event identifier.
        last_observed_units:
          type:
            - string
            - 'null'
          description: Last observed usage units for this slice.
        ledger_id:
          type: string
          description: Owning ledger identifier.
        invoicing_entity_id:
          type: string
          description: Owning invoicing entity identifier.
        amount_excluding_tax:
          type: string
          description: Amount excluding tax when schedule tax data is included.
        tax_amount:
          type: string
          description: Tax amount when schedule tax data is included.
        amount_including_tax:
          type: string
          description: Amount including tax when schedule tax data is included.
      required:
        - id
        - schedule_id
        - kind
        - status
        - period_starts_at
        - period_ends_at
        - recognition_planned_at
        - sequence
        - amount
        - discount_amount
        - original_currency
        - original_currency_exchange_rate
        - original_currency_exchange_rate_date
        - amount_in_original_currency
        - discount_amount_in_original_currency
        - recognized_at
        - journal_entry_id
        - reversing_journal_entry_id
        - usage_event_id
        - milestone_event_id
        - last_observed_units
        - ledger_id
        - invoicing_entity_id
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````